const formatDate = (value) => {
    if (value) {
        return new Date(value).toLocaleString('en-US', {
            month: 'numeric',
            day: 'numeric',
            year: 'numeric',
        });
    }
};

const dollars = (num) => {
    if (num) {
        return `$${num.toLocaleString(undefined, { maximumFractionDigits: 2, minimumFractionDigits: 2 })}`;
    }
    return `$0.00`;
};

const truncate = (text, length, clamp) => {
    clamp = clamp || '...';
    var node = document.createElement('div');
    node.innerHTML = text;
    var content = node.textContent;
    return content.length > length ? content.slice(0, length) + clamp : content;
};

export { formatDate }; 
export { truncate };
export { dollars };
export default {
    formatDate,
    truncate,
    dollars,
};
